Subject: bug#70036: a fix that

From: Yuan Fu <[email-masked]>
Date: Thu, 18 Apr 2024 17:57:39 -0700

> On Apr 18, 2024, at 1:21 PM, João Távora <[email-masked]> wrote:
> 
> On Thu, Apr 18, 2024 at 6:53 PM Eli Zaretskii <[email-masked]> wrote:
> 
>> I suggest to get an objective opinion of that from an uninvolved
>> party.
> 
> I suggest you drop your sarcasm not because it hurts me or anything
> but just because you're not very good at it.

I wouldn’t consider it sarcasm, I’m sure Eli does mean that he’s an uninvolved party, in the sense that he’s neither Theo nor you.

> 
>>> So let's skip the morals.
>> 
>> No, let's not.
> 
> Really, you want to go at it again?  Well let me just add a pinch of
> salt to your typical condescension lecture, getting some facts straight
> about what happened here.

I’m absolutely sure that you don’t want to hurt anyone on this list, and I’m sure you have way too many Emacs work to take care of in the limited personal time you got. But, I can see that to an average person in the English-speaking culture, your words can sound a bit harsh. Theo is an adult, yes, but why not be extra nice to each other when we can? To me, taking some extra care for our fellow Emacs developers in this cold world is definitely well worth it, even if it means writing longer sentences :-)

I hope you don’t take Eli’s reply as sarcasm plus lecture, because I can see that he definitely doesn’t mean it. He’s trying to maintain a nice, friendly environment for Emacs developers, which is part of the job of a maintainer. He’s succinctness in phrasing probably didn’t help here, but given the amount of messages he needs to reply everyday, I can’t really blame him ;-)

And please don’t take this as a criticism, it’s understandable to feel what you felt in the conversation. I just want to share a more benefit-of-the-doubt-y view from a third-party. I’ll be very sad if you, Eli, and any fellow developers ends up in heated arguments and bad mood because of misunderstandings and miscommunication.

Yuan